<script setup lang="ts">
import { PageSearch, usePageSearch } from "/@/components/PageSearch";
import { PageContent } from "/@/components/PageContent";
import { useRouter } from "vue-router";
import searchFormConfig from "./config/search.config";
import contentConfig from "./config/content.config";

defineOptions({
  name: "invoiceheader"
});

const { pageContentRef, handleResetClick, handleSearchClick } = usePageSearch();
const { push } = useRouter();

function toDetail() {
  push("/InvoiceSaleSettings/consultingCostDetail");
}
</script>

<template>
  <div class="main role">
    <PageSearch
      :form-config="searchFormConfig"
      @search-btn-click="handleSearchClick"
      @reset-btn-click="handleResetClick"
    />

    <PageContent
      ref="pageContentRef"
      :content-config="contentConfig"
      @click="toDetail"
    />
  </div>
</template>

<style scoped lang="scss">
:deep(.el-dropdown-menu__item i) {
  margin: 0;
}
</style>
